Bug 248102 - Missing critical phys_to_virt in lib/swiotlb.c
Missing critical phys_to_virt in lib/swiotlb.c
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Anton Arapov
Martin Jenner
:
Depends On:
Blocks: 250898
  Show dependency treegraph
 
Reported: 2007-07-13 05:03 EDT by Vasily Averin
Modified: 2014-06-18 04:00 EDT (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:55:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (535 bytes, patch)
2007-08-04 15:25 EDT, Anton Arapov
no flags Details | Diff

  None (edit)
Description Vasily Averin 2007-07-13 05:03:41 EDT
RHEL5 Kernel panics when loading megaraid_mbox module:

megaraid: fw version:[713S] bios version:[G401]
scsi2 : LSI Logic MegaRAID driver
scsi[2]: scanning scsi channel 0 [Phy 0] for non-raid devices
Unable to handle kernel paging request at ffff80ff0a3b5000 RIP: 
 [<ffffffff80140ca0>] sync_single+0x20/0x7b
PGD 0 
Oops: 0000 [1] SMP 
last sysfs file: /class/input/input0/name
CPU 0 
Modules linked in: megaraid_mbox megaraid_mm ata_piix libata sd_mod scsi_mod
Pid: 0, comm: swapper Not tainted 2.6.18-8.1.4.el5 #1
RIP: 0010:[<ffffffff80140ca0>]  [<ffffffff80140ca0>] sync_single+0x20/0x7b
RSP: 0018:ffffffff80402e88  EFLAGS: 00010246
RAX: ffffffffe0000000 RBX: ffff81015ee46080 RCX: 0000000000000002
RDX: ffff81000a3b5000 RSI: 0000000006395000 RDI: ffff81015f14b870
RBP: 0000000000000002 R08: 0000000000000000 R09: 0000000000000024
R10: 0000000006395000 R11: 0000000000013409 R12: 0000000000000000
R13: 0000000000000001 R14: ffff81015f14b870 R15: ffff81015fee8000
FS:  0000000000000000(0000) GS:ffffffff8038a000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: ffff80ff0a3b5000 CR3: 0000000000201000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo ffffffff803ba000, task ffffffff802d1ae0)
Stack:  ffffffff8014192f ffff81015f3e1858 ffff81015e8c2980 ffff81015f0b4000
 ffff81015e8c2980 ffff81015f0b4008 ffffffff8808082a ffff81015f3e0000
 ffffffff80402ec8 ffff81015f0b4008 ffff81015f0b4008 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff8014192f>] swiotlb_sync_sg_for_cpu+0xb2/0xcb
 [<ffffffff8808082a>] :megaraid_mbox:megaraid_mbox_dpc+0x4c0/0x591
 [<ffffffff8008e7a0>] tasklet_action+0x62/0xac
 [<ffffffff80011c19>] __do_softirq+0x5e/0xd5
 [<ffffffff80075658>] end_level_ioapic_vector+0x9/0x16
 [<ffffffff8005c330>] call_softirq+0x1c/0x28
 [<ffffffff8006a312>] do_softirq+0x2c/0x85
 [<ffffffff8006a19a>] do_IRQ+0xec/0xf5
 [<ffffffff80054f2e>] mwait_idle+0x0/0x4a
 [<ffffffff8005b649>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff80054f64>] mwait_idle+0x36/0x4a
 [<ffffffff80046fb7>] cpu_idle+0x95/0xb8
 [<ffffffff803c57f6>] start_kernel+0x220/0x225
 [<ffffffff803c5237>] _sinittext+0x237/0x23e


Code: 48 8b 04 c2 74 07 41 ff c8 75 45 eb 21 83 f9 02 74 04 85 c9 
RIP  [<ffffffff80140ca0>] sync_single+0x20/0x7b
 RSP <ffffffff80402e88>
CR2: ffff80ff0a3b5000
 <0>Kernel panic - not syncing: Fatal exception
 <0>Rebooting in 30 seconds..

It is known issue fixed in upstream and in stable 2.6.20.2 kernel by patch
"Missing critical phys_to_virt in lib/swiotlb.c":
http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.20.y.git;a=commit;h=e16b67f9a0ac6d9f89f680b7f3b439abfb1dac5e
http://lkml.org/lkml/2007/2/4/116

Thanks to AltLinux kernel Team for assistance in the bug reproducing and
investigation.
Comment 2 Anton Arapov 2007-08-04 15:25:43 EDT
Created attachment 160697 [details]
proposed patch
Comment 4 Don Zickus 2007-08-15 15:06:55 EDT
in 2.6.18-40.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 Serg Oskin 2007-09-17 06:31:58 EDT
I tried kernel-2.6.18-47.el5.x86_64.rpm - it is ok.

P.S. How to Install CD with this kernel?
Comment 8 errata-xmlrpc 2007-11-07 14:55:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.